Subject: Re: bug#24670: Unexpected EOF reading a line (from guix pull) [forward]

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 14 Oct 2016 16:37:11 +0200

ng0 <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> ng0 <[email-masked]> writes:
>>
>>> It is impossible to reproduce exactly the system which caused the bug,
>>> but I will try to reproduce it as good as you can with Gentoo.
>>
>> I chuckled a little.  It’s ironic because with Guix we actually can
>> reproduce systems with relative ease :)
>
> Food for thought: right now, yes. But what happens when more people
> start to use Guix, with modified versions of packages or even versions
> of packages which are no longer in master? Do we simply ignore the
> request for support with "sorry, this is not in master we can not
> reproduce it"?

Given the Guix git hash (and provided the software builds reproducibly)
even older systems can be reproduced.

But it would be unreasonable to expect support for things that were
broken in old versions and have already been fixed in master.

~~ Ricardo